# Class OverlappingErrorMetric

java.lang.Object
htsjdk.samtools.metrics.MetricBase
picard.analysis.MergeableMetricBase
picard.sam.SamErrorMetric.ErrorMetric
picard.sam.SamErrorMetric.OverlappingErrorMetric

@DocumentedFeature(groupName="Metrics", summary="Metrics") public class OverlappingErrorMetric extends ErrorMetric
An error metric for the errors invovling bases in the overlapping region of a read-pair. The resulting metric includes error rate information which can be assigned to the reading of the molecular insert `DISAGREES_WITH_REF_AND_MATE_ONLY_Q`, error rate which can be assigned to events that occured to to the molecular insert before it was loaded onto the flowcell/sequencer `DISAGREES_WITH_REFERENCE_ONLY_Q`, and an error rate which cannot be explained nicely `THREE_WAYS_DISAGREEMENT_ONLY_Q`.

## Nested Class Summary

### Nested classes/interfaces inherited from class MergeableMetricBase

`MergeableMetricBase.MergeByAdding, MergeableMetricBase.MergeByAssertEquals, MergeableMetricBase.MergingIsManual, MergeableMetricBase.NoMergingIsDerived, MergeableMetricBase.NoMergingKeepsValue`

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`DISAGREES_WITH_REF_AND_MATE_ONLY_Q`
The (phred) rate of bases that disagree with both the reference and their mate (which agree with each other)
`int`
`DISAGREES_WITH_REFERENCE_ONLY_Q`
The (phred) rate of bases that disagree with the reference, but agree with their mate
`long`
`NUM_BASES_WITH_OVERLAPPING_READS`
The number of bases for which an overlapping base from the mate read was found
`long`
`NUM_DISAGREES_WITH_REF_AND_MATE`
The number of bases that disagree with both the reference and their mate (which agree with each other)
`long`
`NUM_DISAGREES_WITH_REFERENCE_ONLY`
The number of bases that disagree with the reference, but agree with their mate
`long`
`NUM_THREE_WAYS_DISAGREEMENT`
The number of bases that disagree with both the reference and their mate (which also disagree)
`int`
`THREE_WAYS_DISAGREEMENT_ONLY_Q`
The (phred) rate of bases that disagree with both the reference and their mate (which also disagree)

### Fields inherited from class ErrorMetric

`COVARIATE, PRIOR_ERROR, TOTAL_BASES`

## Constructor Summary

Constructors
Constructor
Description
`OverlappingErrorMetric()`
`OverlappingErrorMetric(String covariate, long nTotalBases, long nTotalBasesWithOverlappingReads, long nDisagreeWithRefAndMate, long nDisagreeWithReferenceOnly, long nThreeWaysDisagreement)`

## Method Summary

Modifier and Type
Method
Description
`void`
`calculateDerivedFields()`
Placeholder method that will calculate the derived fields from the other ones.

### Methods inherited from class ErrorMetric

`computeQScore, computeQScore, setPriorError`

### Methods inherited from class MergeableMetricBase

`canMerge, merge, merge, mergeIfCan`

### Methods inherited from class htsjdk.samtools.metrics.MetricBase

`equals, hashCode, toString`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### NUM_BASES_WITH_OVERLAPPING_READS

public long NUM_BASES_WITH_OVERLAPPING_READS
The number of bases for which an overlapping base from the mate read was found

### NUM_DISAGREES_WITH_REFERENCE_ONLY

public long NUM_DISAGREES_WITH_REFERENCE_ONLY
The number of bases that disagree with the reference, but agree with their mate

### DISAGREES_WITH_REFERENCE_ONLY_Q

public int DISAGREES_WITH_REFERENCE_ONLY_Q
The (phred) rate of bases that disagree with the reference, but agree with their mate

### NUM_DISAGREES_WITH_REF_AND_MATE

public long NUM_DISAGREES_WITH_REF_AND_MATE
The number of bases that disagree with both the reference and their mate (which agree with each other)

### DISAGREES_WITH_REF_AND_MATE_ONLY_Q

public int DISAGREES_WITH_REF_AND_MATE_ONLY_Q
The (phred) rate of bases that disagree with both the reference and their mate (which agree with each other)

### NUM_THREE_WAYS_DISAGREEMENT

public long NUM_THREE_WAYS_DISAGREEMENT
The number of bases that disagree with both the reference and their mate (which also disagree)

### THREE_WAYS_DISAGREEMENT_ONLY_Q

public int THREE_WAYS_DISAGREEMENT_ONLY_Q
The (phred) rate of bases that disagree with both the reference and their mate (which also disagree)

## Constructor Details

### OverlappingErrorMetric

public OverlappingErrorMetric(String covariate, long nTotalBases, long nTotalBasesWithOverlappingReads, long nDisagreeWithRefAndMate, long nDisagreeWithReferenceOnly, long nThreeWaysDisagreement)

### OverlappingErrorMetric

public OverlappingErrorMetric()

## Method Details

### calculateDerivedFields

public void calculateDerivedFields()
Description copied from class: `MergeableMetricBase`
Placeholder method that will calculate the derived fields from the other ones. Classes that are derived from non-trivial derived classes should consider calling super.calculateDerivedFields() as well. Fields whose value will change due to this method should be annotated with `NoMergingKeepsValue`.

Overrides:
  `calculateDerivedFields` in class `MergeableMetricBase`